/****************************************************************************
** Interface to the GUI.
**
** Created: Sun Dec 14 12:09:08 2003
**      by: Varol Okan using kate editor
**
** This class generates the command line for dvdauthor.
** Current Version of DVDAUTHOR used is 0.67
** You can find dvdauthor under http://dvdauthor.sourceforge.net/
**
****************************************************************************/

#ifndef QDVDAUTHOR_H
#define QDVDAUTHOR_H

#include ".ui/formmain.h"

class CDVDMenu;
class QListBox;

class QDVDAuthor : public CFormMain
{
	Q_OBJECT
public:
	QDVDAuthor ();
	~QDVDAuthor ();

public slots:
    virtual void fileNew();
    virtual void fileOpen();
    virtual void fileSave();
    virtual void fileSaveAs();
    virtual void filePrint();
    virtual void fileExit();
    virtual void editUndo();
    virtual void editRedo();
    virtual void editCut();
    virtual void editPaste();
    virtual void editFind();
    virtual void helpIndex();
    virtual void helpContents();
    virtual void helpAbout();
    
    virtual void slotSetup ();
	virtual void slotExportDVDAuthorXML();
	virtual void slotEditAddMovie ();
	virtual void slotAddFirstMovie(QListBoxItem *);

public:
    void addDVDMenu (CDVDMenu *pDVDMenu);
private: 	// Private functions ...
	void LoadIni();
	void SaveIni ();
    
private:
	// Here we store the path to the different tools required.
	QString m_qsConvertPath;
	QString m_qsDVDAuthorPath;
	QString m_qsMpegToolsPath;
	
	CDVDMenu *m_pDVDMenu;
	// Project File variables
	QString m_qsProjectFileName;
	
	bool m_bModified;
	bool m_bProjectNameInitialized;
	int  m_iNrOfMovieFiles;
	QString **m_ppArrayMovieFiles;
};


#endif // QDVDAUTHOR_H
